services:
  _defaults:
    public: false

  # This service is deprecated, use the one defined in core instead.
  Drupal\sdc\Twig\TwigComponentLoader:
    alias: 'Drupal\Core\Template\Loader\ComponentLoader'
    deprecated:
      package: 'drupal/core'
      version: '10.3.0'
      message: The "%alias_id%" service is deprecated since drupal/core 10.3.0 and will be removed in 11.0.

  # This service is deprecated, use the one defined in core instead.
  Drupal\sdc\ComponentNegotiator:
    alias: 'Drupal\Core\Theme\ComponentNegotiator'
    deprecated:
      package: 'drupal/core'
      version: '10.3.0'
      message: The "%alias_id%" service is deprecated since drupal/core 10.3.0 and will be removed in 11.0.

  # This service defines the deprecated twig functions related to SDC.
  # Use the ones defined in core instead.
  Drupal\sdc\Twig\TwigExtension:
    alias: 'Drupal\Core\Template\ComponentsTwigExtension'
    deprecated:
      package: 'drupal/core'
      version: '10.3.0'
      message: The "%alias_id%" service is deprecated since drupal/core 10.3.0 and will be removed in 11.0.

  # This service is deprecated, use the one defined in core instead.
  Drupal\sdc\Component\SchemaCompatibilityChecker:
    alias: 'Drupal\Core\Theme\Component\SchemaCompatibilityChecker'
    deprecated:
      package: 'drupal/core'
      version: '10.3.0'
      message: The "%alias_id%" service is deprecated since drupal/core 10.3.0 and will be removed in 11.0.

  # This service is deprecated, use the one defined in core instead.
  Drupal\sdc\Component\ComponentValidator:
    alias: 'Drupal\Core\Theme\Component\ComponentValidator'
    deprecated:
      package: 'drupal/core'
      version: '10.3.0'
      message: The "%alias_id%" service is deprecated since drupal/core 10.3.0 and will be removed in 11.0.
